<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"select * from permiso where modulo_mod_id='21' and usuario_usu_id='$usu_id'  ") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
      if($reg['per_visualizar']=="Activo")
      {
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php include ('head.php');?>
<script>
    $(function() {
    $("#datepicker").datepicker({ minDate: 0 });
    });
</script>
</head>
<body>
<?php
  $inicio="";
  $M_inventario="";
  $M_contactos="";
  $M_compras="";
  $M_ventas="active";
  $M_pedidos="";
  $M_pos="";
  $R_reportes="";

  $cotizacion="";
  $ventas="";
  $periodica="active";
  $clientes="";
  $cartera="";
  $garantias="";
  $abonos="";
  $cotizacion_online="";

  include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2"> 
        <?php include ('include/menu_ventas.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10"> 
        <form  id="form_fac" name="form_fac" method="post" action="" >
            <div class="widget stacked">
                <div class="widget-content">
                    <div class="col-md-4">
                        <label>Cliente</label> 
                        <div class="input-group">     
                            <section id="intro" >
                                <select  class="form-control" name="clie_id" id="clie_id"  onchange="cambiar_cli(1,this.value);">
                                    <?php
                                        $canc=mysqli_query($con,"SELECT * FROM cliente c, fac_clie_temp cc where c.clie_id=cc.fct_clie_id and cc.usuario='$usu_id' and cc.empresa='$empresa'") or die(mysqli_error($con)); 
                                        if($datoc=mysqli_fetch_array($canc)) 
                                        {
                                            $clie_id=$datoc['clie_id'];
                                            $clie_nombre=$datoc['clie_nombre'];
                                    ?>
                                    <option value='<?php echo $clie_id;?>'><?php echo $clie_nombre;?></option>
                                    <?php    
                                        }
                                    $result_1 = mysqli_query($con,"SELECT * FROM  cliente WHERE clie_id<>'$clie_id' and empresa='$empresa'");  
                                        while ($row_1=mysqli_fetch_array($result_1)) 
                                            {   
                                                echo "<option value='".$row_1['clie_id']."' >".$row_1['clie_nombre']."</option>"; 
                                            }
                                    ?>
                                </select>
                            </section>
                            <span class="input-group-addon">
                                <a  data-toggle="modal"href="#nuevocliente"  ><i class="icon-plus"></i></a>
                            </span>
                        </div> 
                    </div><!-- /spam4 --> 
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Fecha de inicio</label>
                            <input type="text"  name="fac_inicio_contrato" id="datepicker" class="form-control date-picker input-sm datepicker"   value="<?php echo  date('Y-m-d');?>" data-date-format="yyyy-mm-dd" name="desde" autocomplete="off" >
                        </div> <!-- /.form-group -->
                    </div><!-- /spam4 -->
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Frecuencia de Facturación</label>
                            <input type="hidden" name="fac_periodo" id="fac_periodo" value="1" class="form-control input-sm" >
                            <input type="text" name="fac_periodo1" id="fac_periodo1" value="1 Mes" class="form-control input-sm" readonly="">
                        </div> <!-- /.form-group -->
                    </div><!-- /spam4 -->
                    <input type="hidden" name="dias" id="dias" value="" class="form-control input-sm" placeholder="Dias" required>
                    <input type="hidden" name="fac_fin_contrato" id="fac_fin_contrato" value="" class="form-control input-sm" >
                    <div class="col-md-11"></div>    
                    <div class="col-md-1">
                        </br>
                        <div class="form-group pull-right">
                            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">
                                <span class="btn-icon-only icon-plus "></span> Agregar Servicio
                            </button>
                            </br> </br>
                        </div>
                    </div><!-- /spam4 -->
                    <div class="widget ">  
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <div id="tabla"></div>
                            </div> <!-- /.table-responsive -->
                        </div> <!-- /.12 -->
                    </div>
                    <?php include ('php_facturacion_periodica/form_guardar.php'); ?>
                </div>
            </div>
        </form>
        </br> </br> </br>
    </div> <!-- /main -->
</div> 
<?php 
  include('php_buscador/buscador.php');
  include ('php_clientes/form_nuevo_cliente.php');
?>

   </div>
 <script type="text/javascript" src="php_facturacion_periodica/ajax.js"></script>
  
<script>
function cambiar_cli(campo,clie_id){
    var parametros = {"action":"update","campo":campo,"clie_id":clie_id}; 
    $.ajax({
        type: "GET",
        url: "./php_facturacion_periodica/cambiar_cliente.php",
        data: parametros,
         beforeSend: function(objeto){
          $("#cambiar").html("Mensaje: Cargando...");
          },
        success: function(datos){
        $("#cambiar").html(datos);
        }
    });
} 


 $( "#nuevo_clie" ).submit(function( event ) {
  $('#btn_cliente').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_clientes/registrar_cliente_periodica.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_cliente").html(datos);
      $('#btn_cliente').attr("disabled", false);
      load(1);
      }
  });
  event.preventDefault();
})



function loadTabla(){
  $('#editModal').modal('hide');
  $.get("./php_facturacion_periodica/tabla.php","",function(data){
    $("#tabla").html(data);
  })
}
loadTabla();


$(document).ready(function(){
      load(1);
    });


function load(page){
      var q= $("#q").val();
      var tipo=document.querySelector('input[name="tipo"]:checked').value
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'./php_buscador/articulos_periodica.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
      })
    }

function agregar_articulo (art_referencia)
    {
      var art_id=document.getElementById('art_id'+art_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+art_referencia).value;
      var cantidad=document.getElementById('cantidad_'+art_referencia).value;
      var precio_costo=document.getElementById('precio_costo_'+art_referencia).value;
      var art_iva=document.getElementById('art_iva'+art_referencia).value;
      var descuento=document.getElementById('descuento'+art_referencia).value;
      var nombre=document.getElementById('nombre'+art_referencia).value;

      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+art_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+art_referencia).focus();
      return false;
      }
      //Fin validacion
      
      if(parseInt(precio_venta)<parseInt(precio_costo))
              {
                alert('Esta facturando por debajo del precio de compra !');
                document.getElementById('precio_venta_'+art_referencia).focus();
              }
          $.ajax(
          {
            type: "POST",
            url: "./php_facturacion_periodica/tabla.php",
            data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id,

            beforeSend: function(objeto)
              {
              $("#tabla").html("Mensaje: Cargando...");
              },
            success: function(datos)
              {
                $("#tabla").html(datos);
                loadtotal();
                loadTabla();   
              }
          });
      }
     
</script> 

<!-- Le javascript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>